<?php
if (substr(PHP_SAPI_NAME(), 0, 3) !== 'cli') {
    die("The program runs only in CLI mode!");
}
$sid =$lid =1;
include_once dirname(__FILE__) . "/crontab.inc.php";
include_once dirname(__FILE__) . "/../com.php";
set_time_limit(0);
$minute = date('i');
$time = date('Gi', time());
$now = time();
//排行榜奖励发放记录入库
$res['joinRankLogDB'] = oo::commonOprModel('activitynew')->joinRankLogDB();
//排行榜奖励领取记录入库
$res['joinRankReceiveLogDB'] =oo::commonOprModel('activitynew')->joinRankReceiveLogDB();
//进度记录入库
$res['joinStageLogDB'] =oo::commonOprModel('activitynew')->joinStageLogDB();
//彩蛋邮寄记录入库
//$res['joinEasterEggLogDB'] =oo::commonOprModel('activitynew')->joinEasterEggLogDB();
if($time=='2356'){//每日活动进度入队
    //$res['todayStageLog'] = oo::commonOprModel('activitynew')->todayStageLog();
}
oo::logs()->commlog('-activity log to db:'.json_encode($res),'crontab/activityLogToDB_'.date("Ymd"));